Subject: RE: Bara Contract #: 0000002314 - RE: Bara Contract Preparation Review FW: Bara CA and Bid Waiver
From: Evode Imena <[email-masked]>
To: Siobhan Joubert <[email-masked]>
Cc: Reagan Muvara <[email-masked]>, Jeome Sande <[email-masked]>, Sylvestre Habiyaremye <[email-masked]>, Shane Ryan <[email-masked]>
Date: Wed, 27 Aug 2025 06:44:43 +0000

Dear Siobhan,
It is approved from my side.
Regards,

Evode Imena
General Manager
Rutongo Mines Ltd
+250 788-301-846
www.trinity-metals.com<https://eur06.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.trinity-metals.com%2F&data=05%7C02%7Csylvestre.habiyaremye%40trinity-metals.com%7C83ea20ae6b314e1abcb808dde5353464%7C56461da4bc614728900dd5d2b221e9a3%7C0%7C0%7C638918738866749826%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=FtxtuDfcZ1uLUCzPP6bMww336YscrNrAoVdJwcH3D9U%3D&reserved=0>

From: Siobhan Joubert <[email-masked]>
Sent: Tuesday, 26 August 2025 13:16
To: Evode Imena <[email-masked]>
Cc: Reagan Muvara <[email-masked]>; Jeome Sande <[email-masked]>; Sylvestre Habiyaremye <[email-masked]>; Shane Ryan <[email-masked]>
Subject: FW: Bara Contract #: 0000002314 - RE: Bara Contract Preparation Review FW: Bara CA and Bid Waiver

Good day Evode,

As discussed, please can you confirm that Reagan can approve the Bara Extension PR.

Siobhan Joubert
Group Mineral Resources Manager
+250 79 400 6903
+2772 599 8386 (WhatsApp)
www.trinity-metals.com<https://eur06.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.trinity-metals.com%2F&data=05%7C02%7Csylvestre.habiyaremye%40trinity-metals.com%7C83ea20ae6b314e1abcb808dde5353464%7C56461da4bc614728900dd5d2b221e9a3%7C0%7C0%7C638918738866776106%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=gD5WV7gPUhp16ouj0bCYEQjD8cQgv4VVTd083uBGLN0%3D&reserved=0>

From: Siobhan Joubert
Sent: Friday, August 22, 2025 12:57 PM
To: Jeome Sande <[email-masked]<mailto:[email-masked]>>; Michael Jacklin <[email-masked]<mailto:[email-masked]>>
Cc: Shane Ryan <[email-masked]<mailto:[email-masked]>>; Joseph Muhiire <[email-masked]<mailto:[email-masked]>>; Missionnaire Mbanza <[email-masked]<mailto:[email-masked]>>; Evode Imena <[email-masked]<mailto:[email-masked]>>; Justin Uwiringiyimana <[email-masked]<mailto:[email-masked]>>
Subject: RE: Bara Contract #: 0000002314 - RE: Bara Contract Preparation Review FW: Bara CA and Bid Waiver

Dear Jeome and Mike,

Thank you for yesterday’s meeting and the updated contract. It has the full Addendum B cost summary, which lists out the electrical engineer estimates.

I have checked the Electrical engineer numbers and they reconcile back to Clive’s extension Contract he shared with Trinity. Which I provided below.

I would recommend that the Contract Cost sheet completed by Procurement is updated with the correct Electrical Engineering costs as per the original contract.

To follow up on what was discussed the next steps for me include the following:

  *   It was determined that the original contract will be extended and a new contract will therefore not be required.
  *   Siobhan to discuss with each GM that the below costs will be covered for Mine Planning over the next two years and invoiced monthly (24 invoices). The PR’s should be loaded accordingly:
     *   Nyakabingo $64,421 – Reduce the PR amount (Spoken to Hururaini)
     *   Rutongo        $73,837 – Create New PO (Sylvestre to assist)
     *   Musha           $68,915 – Create New PR (Eric to assist)
  *   Mike to discuss with Clive on Monday the requirement to split invoices.
  *   Procurement to assist with extending the Contract and adding the additional split between sites.
  *   No further EOI required

Kind Regards
Siobhan

Siobhan Joubert
Group Mineral Resources Manager
+250 79 400 6903
+2772 599 8386 (WhatsApp)
www.trinity-metals.com<https://eur06.safelinks.protection.outlook.com/?url=http%3A%2F%2Fwww.trinity-metals.com%2F&data=05%7C02%7Csylvestre.habiyaremye%40trinity-metals.com%7C83ea20ae6b314e1abcb808dde5353464%7C56461da4bc614728900dd5d2b221e9a3%7C0%7C0%7C638918738866790495%7CUnknown%7CTWFpbGZsb3d8eyJFbXB0eU1hcGkiOnRydWUsIlYiOiIwLjAuMDAwMCIsIlAiOiJXaW4zMiIsIkFOIjoiTWFpbCIsIldUIjoyfQ%3D%3D%7C0%7C%7C%7C&sdata=yQd5qmYOmLqUEVVHWOnzgqgzlV6HShRxDF%2F%2FR5MzloY%3D&reserved=0>

From: Jeome Sande <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, August 21, 2025 5:46 PM
To: Siobhan Joubert <[email-masked]<mailto:[email-masked]>>; Michael Jacklin <[email-masked]<mailto:[email-masked]>>
Cc: Shane Ryan <[email-masked]<mailto:[email-masked]>>; Joseph Muhiire <[email-masked]<mailto:[email-masked]>>
Subject: Bara Contract #: 0000002314 - RE: Bara Contract Preparation Review FW: Bara CA and Bid Waiver

Dear Siobhan, Mike,

Find attached Bara Contract #: 0000002314 with all pages for your file.

Best regards,

Jeome